%if ! (0%{?rhel} >= 6 || 0%{?fedora} > 12)
%global pybasever 2.6
%global __python_ver 26
%global __python %{_bindir}/python%{?pybasever}
%endif

%global _realname halite

Name:           python-halite
Version:        0.1.16
Release:        10%{?dist}
Summary:        SaltStack Web UI

Group:          Development/Languages
License:        ASL 2.0
URL:            https://github.com/saltstack/halite/
Source0:        https://pypi.python.org/packages/source/h/%{_realname}/%{_realname}-%{version}.tar.gz
Source1:        https://raw.github.com/saltstack/%{_realname}/v%{version}/LICENSE
BuildArch:      noarch

BuildRequires:  python-setuptools
BuildRequires:  python2-devel

%global _description\
Halite is a Salt GUI. Status is pre-alpha. Contributions are very welcome. Join\
us in #salt-devel on Freenode or on the salt-users mailing list.

%description %_description

%package -n python2-halite
Summary: %summary
Requires:       python-cherrypy
%{?python_provide:%python_provide python2-halite}

%description -n python2-halite %_description

%prep
%setup -q -n %{_realname}-%{version}

%build
%py2_build

%install
install -p -m 0644 %{SOURCE1} $RPM_BUILD_DIR/LICENSE
%py2_install

# Remove shebang
sed -i '1{\@^#!/usr/bin/env python@d}' ${RPM_BUILD_ROOT}%{python2_sitelib}/%{_realname}/bottle.py

# Add execute bit for scripts which need to be executed
chmod 0755 ${RPM_BUILD_ROOT}%{python2_sitelib}/%{_realname}/server_bottle.py
chmod 0755 ${RPM_BUILD_ROOT}%{python2_sitelib}/%{_realname}/genindex.py

%files -n python2-halite
%doc $RPM_BUILD_DIR/LICENSE
%{python2_sitelib}/*

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.16-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Aug 22 2017 Iryna Shcherbina <ishcherb@redhat.com> - 0.1.16-9
- Add a build-time dependency on python2-devel and use macro

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.16-8
- Python 2 binary package renamed to python2-halite
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.16-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.16-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.16-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.16-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 22 2014 Erik Johnson <erik@saltstack.com> - 0.1.16-1
- Updated to version 0.1.16.

* Thu Dec 19 2013 Erik Johnson <erik@saltstack.com> - 0.1.13-1
- Updated to version 0.1.13.

* Mon Oct 21 2013 Erik Johnson <erik@saltstack.com> - 0.1.02-1
- Initial build.
